Package org.zkoss.bind

## Interface FormLegacy

- All Superinterfaces:
    `Form`
  All Known Implementing Classes:
    `FormImpl`, `SimpleForm`

      @Deprecated
      public interface FormLegacy
      extends Form

  Deprecated.
  As of release 9.5.0, please use `Form`
  For compatibility only.
  Since:
    9.5.0
  Author:
    Leon

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getField​(java.lang.String field)` | Deprecated. Returns the associated value of the specified field name.
    `java.util.Set<java.lang.String>` | `getFieldNames()` | Deprecated. Returns all field names that this FormLegacy bean is care about for both read and load.
    `boolean` | `isDirty()` | Deprecated. Returns whether the form has been modified (Any field is different from those of loadBean)
    `void` | `setField​(java.lang.String field, java.lang.Object value)` | Deprecated. Sets the associated value of the specified field name.

    - ### Methods inherited from interface org.zkoss.bind.Form

      `getFormStatus`

- - ### Method Detail

    - #### getFieldNames

          java.util.Set<java.lang.String> getFieldNames()

      Deprecated.
      Returns all field names that this FormLegacy bean is care about for both read and load.
      Returns:
        all field names that this FormLegacy bean is care about.

    - #### setField

          void setField​(java.lang.String field,
                        java.lang.Object value)

      Deprecated.
      Sets the associated value of the specified field name.
      Parameters:
        `field` - field name
        `value` - the associated value

    - #### getField

          java.lang.Object getField​(java.lang.String field)

      Deprecated.
      Returns the associated value of the specified field name.
      Parameters:
        `field` - field name
      Returns:
        the associated value

    - #### isDirty

          boolean isDirty()

      Deprecated.
      Returns whether the form has been modified (Any field is different from those of loadBean)
      Returns:
        whether the form has been modified.